convert-from-cstring
Prev | Strings | Next

## Name

convert-from-cstring — Converts a cstring to a Lisp string.Macro

## Syntax

    	  convert-from-cstring
    	  cstring
    	  =>
    	  string

## Arguments and Values

`cstring`

  A cstring.

string

  A Lisp string.

## Description

Converts a Lisp string to a `cstring`. This is most often used when processing the results of a foreign function that returns a cstring.

## Side Effects

None.

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
Strings | Home | convert-to-cstring